# kccompress.h File Reference

data compressor and decompressor More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`

## Classes

class | kyotocabinet::Compressor
| Interfrace of data compression and decompression. More...
class | kyotocabinet::Zlib
| Zlib compressor. More...
class | kyotocabinet::ZlibRawCompressor
| Compressor with the Zlib raw mode. More...
class | kyotocabinet::ZlibDeflateCompressor
| Compressor with the Zlib deflate mode. More...
class | kyotocabinet::ZlibGzipCompressor
| Compressor with the Zlib gzip mode. More...

## Namespaces

namespace | kyotocabinet

| Helper functions.

## Variables

ZlibRawCompressor | kyotocabinet::ZLIBRAWCOMP
| Prepared variable of the compressor with the Zlib raw mode.
ZlibDeflateCompressor | kyotocabinet::ZLIBDEFLCOMP
| Prepared variable of the compressor with the Zlib deflate mode.
ZlibGzipCompressor | kyotocabinet::ZLIBGZIPCOMP
| Prepared variable of the compressor with the Zlib gzip mode.

## Detailed Description

data compressor and decompressor